#
# spec file for package golang-github-shurcool-sanitized_anchor_name
#
# Copyright (c) 2015 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           golang-github-shurcool-sanitized_anchor_name
Version:        0.0.0+git20150514.11a20b7
Release:        5.1
Summary:        Go function to create sanitized anchor names
License:        MIT
Group:          Development/Languages/Other
URL:            https://github.com/shurcooL/sanitized_anchor_name
Source:         sanitized_anchor_name-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  golang-packaging
BuildRequires:	xz
%{go_provides}

%description
Package sanitized_anchor_name provides a func to create sanitized anchor names.

Its logic can be reused by multiple packages to create interoperable anchor names and links to those anchors.

At this time, it does not try to ensure that generated anchor names are unique, that responsibility falls on the caller.

%gosrc_package

%prep
%setup -q -n sanitized_anchor_name-%{version}

%build
%goprep github.com/shurcooL/sanitized_anchor_name
%gobuild

%install
%goinstall
%gosrc

%check
%gotest github.com/shurcooL/sanitized_anchor_name

%files
%defattr(-,root,root,-)
%doc README.md
%{go_contribdir}/*

%files source
%defattr(-,root,root,-)
%{go_contribsrcdir}/*

%changelog
* Tue Jul 28 2015 i@marguerite.su
- initial version 0.0.0+git20150514.11a20b7
